let table x = Sql.View.table x

let origin_tbl = <:table< origin (
  origin  integer NOT NULL,
  name    text NOT NULL
) >>

let origin = table origin_tbl

let document_tbl = <:table< document (
  document integer NOT NULL,
  created  timestamptz NOT NULL,
  title	   text NOT NULL,
  origin   integer NOT NULL
) >>

let document = table document_tbl

let page_tbl = <:table< page (
  page     integer NOT NULL,
  a        integer NOT NULL,
  b        integer NOT NULL,
  blank    boolean NOT NULL
) >>

let page = table page_tbl

let paper_tbl = <:table< paper (
  a        integer NOT NULL,
  b	   integer NOT NULL,
  document integer NOT NULL,
  index    integer NOT NULL
) >>

let paper = table paper_tbl

let page_format_tbl = <:table< page_format (
  page_format text NOT NULL,
  convert  text NOT NULL
) >>

let page_format = table page_format_tbl

let document_format_tbl = <:table< document_format (
  document_format text NOT NULL,
  require  text NOT NULL,
  convert  text NOT NULL
) >>

let document_format = table document_format_tbl

let require_document_format_tbl = <:table< require_document_format (
  document_format text NOT NULL
) >>

let require_document_format = table require_document_format_tbl
